mb_regex_encoding
mb_send_mail
Multibyte String Functions
PHP Manual

# mb_regex_set_options

Set/Get the default options for mbregex functions

### Description

string mb_regex_set_options ([ string `$options` = mb_regex_set_options() ] )

Sets the default options described by `options` for multibyte regex functions.

### Parameters

`options`

  The options to set. This is a a string where each character is an option. To set a mode, the mode character must be the last one set, however there can only be set one mode but multiple options.

  Regex options
  Option | Meaning
  --- | ---
  i | Ambiguity match on
  x | Enables extended pattern form
  m | '.' matches with newlines
  s | '^' -> '\A', '$' -> '\Z'
  p | Same as both the m and s options
  l | Finds longest matches
  n | Ignores empty matches
  e | eval resulting code

  Regex syntax modes
  Mode | Meaning
  --- | ---
  j | Java (Sun java.util.regex)
  u | GNU regex
  g | grep
  c | Emacs
  r | Ruby
  z | Perl
  b | POSIX Basic regex
  d | POSIX Extended regex

### Return Values

The previous options. If `options` is omitted, it returns the string that describes the current options.

### See Also

- mb_split
- mb_ereg
- mb_eregi